{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.omnidens.general": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
						{
							"attack": "variable.attack_time > 0"
						},
						"turn"
					]
				}
			}
		},
		"controller.animation.omnidens.move": {
			"initial_state": "idle",
			"states": {
				"walking": {
					"animations": [
						"walk"
					],
					"transitions": [
						{
							"swimming": "!query.is_on_ground && !query.is_roaring && !query.can_fly"
						},
						{
							"digging": "query.can_climb && !query.is_roaring && !query.can_fly"
						},
						{
							"buried": "query.can_fly && !query.can_climb && !query.is_roaring"
						},
						{
							"ambush": "query.is_roaring"
						}
					],
					"blend_transition": 0.5
				},
				"swimming": {
					"animations": [
						"swim"
					],
					"transitions": [
						{
							"walking": "query.is_on_ground && !query.can_fly && !query.is_roaring"
						},
						{
							"digging": "query.can_climb && !query.can_fly && !query.is_roaring"
						},
						{
							"buried": "query.can_fly && !query.is_roaring && !query.can_climb"
						},
						{
							"ambush": "query.is_roaring"
						}
					],
					"blend_transition": 0.5
				},
				"digging": {
					"animations": [
						"digging"
					],
					"transitions": [
						{
							"swimming": "!query.is_on_ground && !query.can_climb && !query.can_fly && !query.is_roaring"
						},
						{
							"walking": "query.is_on_ground && !query.can_climb && !query.can_fly && !query.is_roaring"
						},
						{
							"buried": "query.can_fly && !query.is_roaring && !query.can_climb"
						},
						{
							"ambush": "query.is_roaring"
						}
					],
					"blend_transition": 0.5
				},
				"buried": {
					"animations": [
						"buried"
					],
					"transitions": [
						{
							"swimming": "!query.is_on_ground && !query.can_climb && !query.can_fly && !query.is_roaring"
						},
						{
							"walking": "query.is_on_ground && !query.can_climb && !query.can_fly && !query.is_roaring"
						},
						{
							"digging": "query.can_climb && !query.can_fly && !query.is_roaring"
						},
						{
							"ambush": "query.is_roaring"
						}
					],
					"blend_transition": 0.1
				},
				"ambush": {
					"animations": [
						"ambush"
					],
					"transitions": [
						{
							"swimming": "!query.is_on_ground && !query.can_climb && !query.can_fly && !query.is_roaring"
						},
						{
							"walking": "query.is_on_ground && !query.can_climb && !query.can_fly && !query.is_roaring"
						},
						{
							"buried": "query.can_fly && !query.is_roaring && !query.can_climb"
						},
						{
							"digging": "query.can_climb && !query.can_fly && !query.is_roaring"
						}
					],
					"blend_transition": 0.5
				}
			}
		}
	}
}